---
title: "README"
author:
  - Philip D. Waggoner^[YouGov and Columbia University]
  - Fong Chun Chan^[Achilles Therapeutics]
  - Lu Zhang^[University of Chicago]
---

In collaboration with [Fong Chan](https://github.com/tinyheero) (Achilles Therapeutics) and [Lu Zhang](https://github.com/LuZhang0128) (University of Chicago), we have developed `plotmm` for tidy visualization of mixture models. This package is a substantial update to the [`plotGMM` package](https://CRAN.R-project.org/package=plotGMM).

## Install

Load the latest version:

```{r}
devtools::install_github("pdwaggoner/plotmm")

library(plotmm)
```

Load the latest stable (CRAN) version:

```{r}
install.packages("plotmm")

library(plotmm)
```

## Getting Started

To get started, read the "Getting Started" vignette, which includes a few basic examples. 

## Contribute

Anyone is welcome to contribute to the package. Before collaborating, please take a look at and abide by the [contributor code of conduct](https://github.com/pdwaggoner/plotmm/blob/master/CODE_OF_CONDUCT.md). Here's a sampling of how to contribute:

  - Submit an [issue](https://github.com/pdwaggoner/plotmm/issues) reporting a bug, requesting a feature enhancement, etc. 

  - Suggest changes directly via [pull request](https://github.com/pdwaggoner/plotmm/pulls)

  - [Reach out directly](https://pdwaggoner.github.io/) with ideas if you're uneasy with public interaction
